<?php

/*
 * statuses_paid
 */
function fn_settings_variants_addons_bifitkassa_statuses_paid()
{
	return fn_get_simple_statuses(STATUSES_ORDER);
}

/*
 * statuses_refund
 */
function fn_settings_variants_addons_bifitkassa_statuses_refund()
{
	return fn_get_simple_statuses(STATUSES_ORDER);
}

/*
 * currency
 */
function fn_settings_variants_addons_bifitkassa_currency()
{
	$result = [];
	$currencies = fn_get_currencies_list();

	foreach ($currencies as $code => $item) {
		$result[$code] = $item["description"];
	}

	return $result;
}

/*
 * TAX sistem
 */
function fn_settings_variants_addons_bifitkassa_sno()
{
	$result = [];
	$schema = fn_get_schema("bifitkassa", "sno");

	foreach ($schema as $key => $item) {
		$result[$key] = $item["name"];
	}

	return $result;
}

/*
 * CalculationMethod
 */
function fn_settings_variants_addons_bifitkassa_method()
{
	$result = [];
	$schema = fn_get_schema("bifitkassa", "method");

	foreach ($schema as $key => $item) {
		$result[$key] = $item["name"];
	}

	return $result;
}

/*
 * vat
 */
function fn_settings_variants_addons_bifitkassa_vat()
{
	$result = [];
	$schema = fn_get_schema("bifitkassa", "vat");

	foreach ($schema as $key => $item) {
		$result[$key] = $item["name"];
	}

	return $result;
}

/*
 * PaymentSubject
 */
function fn_settings_variants_addons_bifitkassa_subject()
{
	$result = [];
	$schema = fn_get_schema("bifitkassa", "subject");

	foreach ($schema as $key => $item) {
		$result[$key] = $item["name"];
	}

	return $result;
}
